$infile = 'huebler-zg.txt';

open IN, "<$infile";

$char = 0;

while (<IN>) {
	chomp;
	s/\s//g;
	$_ =~ /(.{1,2})/g;

	printchar (substr($_,4,16));
	$char++; $romaddr += 0x8;

	printchar (substr($_,20,16));
	$char++; $romaddr += 0x8;
	#last if $ln++ > 4;
}

close IN;

sub printchar {
	my $code=shift;
	
	printf "Char %.2X %s %.4X\n", $char, $char < 32?'':"(".chr($char).")", $romaddr;

	my @bytes = unpack "B8"x8, (pack "H16", $code);
	#print "$code - @bytes\n";
	foreach (@bytes) {
		tr/01/ #/;
		print qq("$_"\n);
	}
	print "\n";
}
